from html.parser import HTMLParser

class ContentParser(HTMLParser):
    def __init__(self):
        super().__init__()
        self.content = []

    def handle_starttag(self, tag, attrs):
        self.content.append("start-" + tag)

    def handle_endtag(self, tag):
        self.content.append("end-" + tag)

    def handle_data(self, data):
        self.content.append(data)

parser = ContentParser()
data = "<div>H</div><p>E</p><p>L</p><span>L</span><div>O</div>"
parser.feed(data)
print(parser.content)

#《程式語言教學誌》的範例程式
# https://kaiching.org/
# 檔名：hdemo02.py
# 功能：示範 html.parser 模組
# 作者：張凱慶
